## gimpchannel

gimpchannel — Functions for manipulating channels.

## Functions

gint32 | gimp_channel_new ()
gint32 | gimp_channel_new_from_component ()
gint32 | gimp_channel_copy ()
gboolean | gimp_channel_get_show_masked ()
gboolean | gimp_channel_set_show_masked ()
gdouble | gimp_channel_get_opacity ()
gboolean | gimp_channel_set_opacity ()
gboolean | gimp_channel_get_color ()
gboolean | gimp_channel_set_color ()
gboolean | gimp_channel_combine_masks ()

## Description

Functions for manipulating channels.

## Functions

### gimp_channel_new ()

    gint32
    gimp_channel_new (gint32 image_ID,
                      const gchar *name,
                      guint width,
                      guint height,
                      gdouble opacity,
                      const GimpRGB *color);

Create a new channel.

This procedure creates a new channel with the specified width and height. Name, opacity, and color are also supplied parameters. The new channel still needs to be added to the image, as this is not automatic. Add the new channel with the `gimp_image_insert_channel()` command. Other attributes such as channel show masked, should be set with explicit procedure calls. The channel's contents are undefined initially.

#### Parameters

image_ID | The image to which to add the channel. |
name | The channel name. |
width | The channel width. |
height | The channel height. |
opacity | The channel opacity. |
color | The channel compositing color. |

#### Returns

The newly created channel.

### gimp_channel_new_from_component ()

    gint32
    gimp_channel_new_from_component (gint32 image_ID,
                                     GimpChannelType component,
                                     const gchar *name);

Create a new channel from a color component

This procedure creates a new channel from a color component.

#### Parameters

image_ID | The image to which to add the channel. |
component | The image component. |
name | The channel name. |

#### Returns

The newly created channel.

Since GIMP 2.4

### gimp_channel_copy ()

    gint32
    gimp_channel_copy (gint32 channel_ID);

Copy a channel.

This procedure copies the specified channel and returns the copy.

#### Parameters

channel_ID | The channel to copy. |

#### Returns

The newly copied channel.

### gimp_channel_get_show_masked ()

    gboolean
    gimp_channel_get_show_masked (gint32 channel_ID);

Get the composite method of the specified channel.

This procedure returns the specified channel's composite method. If it is TRUE, then the channel is composited with the image so that masked regions are shown. Otherwise, selected regions are shown.

#### Parameters

channel_ID | The channel. |

#### Returns

The channel composite method.

### gimp_channel_set_show_masked ()

    gboolean
    gimp_channel_set_show_masked (gint32 channel_ID,
                                  gboolean show_masked);

Set the composite method of the specified channel.

This procedure sets the specified channel's composite method. If it is TRUE, then the channel is composited with the image so that masked regions are shown. Otherwise, selected regions are shown.

#### Parameters

channel_ID | The channel. |
show_masked | The new channel composite method. |

#### Returns

TRUE on success.

### gimp_channel_get_opacity ()

    gdouble
    gimp_channel_get_opacity (gint32 channel_ID);

Get the opacity of the specified channel.

This procedure returns the specified channel's opacity.

#### Parameters

channel_ID | The channel. |

#### Returns

The channel opacity.

### gimp_channel_set_opacity ()

    gboolean
    gimp_channel_set_opacity (gint32 channel_ID,
                              gdouble opacity);

Set the opacity of the specified channel.

This procedure sets the specified channel's opacity.

#### Parameters

channel_ID | The channel. |
opacity | The new channel opacity. |

#### Returns

TRUE on success.

### gimp_channel_get_color ()

    gboolean
    gimp_channel_get_color (gint32 channel_ID,
                            GimpRGB *color);

Get the compositing color of the specified channel.

This procedure returns the specified channel's compositing color.

#### Parameters

channel_ID | The channel. |
color | The channel compositing color. |

#### Returns

TRUE on success.

### gimp_channel_set_color ()

    gboolean
    gimp_channel_set_color (gint32 channel_ID,
                            const GimpRGB *color);

Set the compositing color of the specified channel.

This procedure sets the specified channel's compositing color.

#### Parameters

channel_ID | The channel. |
color | The new channel compositing color. |

#### Returns

TRUE on success.

### gimp_channel_combine_masks ()

    gboolean
    gimp_channel_combine_masks (gint32 channel1_ID,
                                gint32 channel2_ID,
                                GimpChannelOps operation,
                                gint offx,
                                gint offy);

Combine two channel masks.

This procedure combines two channel masks. The result is stored in the first channel.

#### Parameters

channel1_ID | The channel1. |
channel2_ID | The channel2. |
operation | The selection operation. |
offx | x offset between upper left corner of channels: (second - first). |
offy | y offset between upper left corner of channels: (second - first). |

#### Returns

TRUE on success.

## Types and Values